GLM 4.6
GLM-4.6 is a large language model developed by Z.ai, featuring strong reasoning capabilities and support for multiple languages. Supports a large context window for processing extensive text and detailed analysis.
Input / output
$0.43 / $1.75
per 1M tokens
Context
198K
16K max output
Reasoning
low, medium, high
default low
Cached input
$0.08
81% off input
Modalities
Text
out: text
Pricing
USD per 1M tokensInput
$0.43
Cached input
$0.08
Output incl. reasoning
$1.75
| Similar models | Input | Output |
|---|---|---|
| GLM 4.6 | $0.43 | $1.75 |
| Qwen 3 Next 80b | $0.35 | $1.90 |
| Llama 3.3 70B | $0.70 | $2.80 |
| Qwen 3 235B A22B Thinking 2507 | $0.45 | $3.50 |
| Qwen3 VL 235B | $0.21 | $1.90 |
Prompt caching is automatic; see Prompt caching.
Specs
- Model ID
zai-org-glm-4.6- Endpoint
POST /api/v1/chat/completions- Context window
- 198,000 tokens
- Max output
- 16,384 tokens
- Reasoning effort
reasoning_effort: low | medium | high· default low · guide- Served precision
- FP4
- Added
- Apr 1, 2024
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Not supported
- Audio
- Not supported
- Video
- Not supported
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Supported
- Reasoning effort
- low, medium, high
- Prompt caching
- Supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "zai-org-glm-4.6",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "low"
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available